package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 评论是否有用 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCommentUserfulDao;
import com.heyu.api.data.entity.vv.VvCommentUserfulEntity;
import com.heyu.api.data.service.vv.VvCommentUserfulService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCommentUserfulServiceImpl extends ServiceImpl<VvCommentUserfulDao, VvCommentUserfulEntity> implements VvCommentUserfulService {


    @Autowired
	private VvCommentUserfulDao vvCommentUserfulDao;



	@Override
	public VvCommentUserfulEntity selectVvCommentUserfulById(Long id){
		return vvCommentUserfulDao.selectVvCommentUserfulById(id);
	}



	@Override
	public Long insertVvCommentUserful(VvCommentUserfulEntity vvCommentUserful){
		return vvCommentUserfulDao.insertVvCommentUserful(vvCommentUserful);
	}



	@Override
	public Long insertOrUpdateVvCommentUserful(VvCommentUserfulEntity vvCommentUserful){
		return vvCommentUserfulDao.insertOrUpdateVvCommentUserful(vvCommentUserful);
	}



	@Override
	public int updateVvCommentUserfulById(VvCommentUserfulEntity vvCommentUserful){
		return vvCommentUserfulDao.updateVvCommentUserfulById(vvCommentUserful);
	}



	@Override
	public int updateCoverVvCommentUserfulById(VvCommentUserfulEntity vvCommentUserful){
		return vvCommentUserfulDao.updateCoverVvCommentUserfulById(vvCommentUserful);
	}



	@Override
	public int deleteVvCommentUserfulById(Long id){
		return vvCommentUserfulDao.deleteVvCommentUserfulById(id);
	}



}
